%define upstream_name    ExtUtils-CChecker
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Configure-time utilities for using C headers,
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0)
BuildArch:  noarch

%description
Often Perl modules are written to wrap functionality found in existing C
headers, libraries, or to use OS-specific features. It is useful in the
_Build.PL_ or _Makefile.PL_ file to check for the existence of these
requirements before attempting to actually build the module.

Objects in this class provide an extension around ExtUtils::CBuilder
to simplify the creation of a _.c_ file, compiling, linking and
running it, to test if a certain feature is present.

It may also be necessary to search for the correct library to link against,
or for the right include directories to find header files in. This class
also provides assistance here.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}

%check
./Build test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.120.0-2.mga10
+ Revision: 2221492
- Mageia 10 Mass Rebuild

* Wed Mar 06 2024 tv <tv> 0.120.0-1.mga10
+ Revision: 2047939
- update to 0.12

* Mon Mar 21 2022 umeabot <umeabot> 0.110.0-2.mga9
+ Revision: 1814745
- Mageia 9 Mass Rebuild

* Sat Jul 17 2021 tv <tv> 0.110.0-1.mga9
+ Revision: 1736470
- update to 0.11

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-5.mga8
+ Revision: 1494458
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.100.0-4.mga7
+ Revision: 1267875
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1027137
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 967962
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 850937
- update to 0.10

* Sun Oct 19 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 789672
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 744972
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 684674
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 586416
- update to 0.09

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 511392
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 367008
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 254942
- update to 0.08

* Tue Apr 19 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 88519
- update to 0.07

* Wed Feb 16 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 52474
- update to 0.06

* Fri Jan 21 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 28530
- mageia rebuild
- imported package perl-ExtUtils-CChecker


* Wed Nov 10 2010 Götz Waschk <waschk@mandriva.org> 0.50.0-1mdv2011.0
+ Revision: 595566
- update to new version 0.05

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.40.0-1mdv2011.0
+ Revision: 550295
- update to new version 0.04

* Tue Mar 02 2010 Götz Waschk <waschk@mandriva.org> 0.30.0-1mdv2010.1
+ Revision: 513328
- new version
- fix source URL

* Sat Jan 30 2010 Götz Waschk <waschk@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 498473
- import perl-ExtUtils-CChecker


* Sat Jan 30 2010 cpan2dist 0.02-1mdv
- initial mdv release, generated with cpan2dist
